Returns the number of columns in the result set

- « SQLite3Result::finalize

- SQLite3Result::reset »

- PHP Manual
- SQLite3Result
- Returns the number of columns in the result set

# SQLite3Result::numColumns

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SQLite3Result::numColumns — Returns the number of columns in the result set

### Description

public SQLite3Result::numColumns(): int

Returns the number of columns in the result set.

### Parameters

This function has no parameters.

### Return Values

Returns the number of columns in the result set.